# OpenShaderDesigner: OpenShaderDesigner::ShaderGraph Class Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::ShaderGraph Class Reference
Inheritance diagram for OpenShaderDesigner::ShaderGraph:

## Public Member Functions

void | OnOpen () override
| OnOpen callback for when the EditorWindow is opened.
void | DrawWindow () override
| DrawWindow function for when the EditorWindow is being drawn.
Public Member Functions inherited from OpenShaderDesigner::EditorWindow
void | Open ()
| Open the EditorWindow.
void | Draw ()
| Draw the EditorWindow.
void | Close ()
| Close the EditorWindow.
bool | IsOpen () const
| Check if the EditorWindow is open.
void | SetFlags (ImGuiWindowFlags flags)
void | ClearFlags (ImGuiWindowFlags flags)
void | ToggleFlags (ImGuiWindowFlags flags)
bool | CheckFlag (ImGuiWindowFlags flag) const
bool | HasMenuBar () const

## Static Public Member Functions

static void | Register (const std::filesystem::path &path, ConstructorPtr constructor)

## Friends

class | Inspector

## Additional Inherited Members

Public Attributes inherited from OpenShaderDesigner::EditorWindow
const std::string | Title
| Title for the EditorWindow.
Protected Member Functions inherited from OpenShaderDesigner::EditorWindow
| EditorWindow (const std::string &title, ImGuiWindowFlags flags)
virtual void | DrawMenu ()
| DrawMenu function for when the EditorWindow Menu is being drawn.
virtual void | OnClose ()
| OnClose callback for when the EditorWindow is closed.

## Member Function Documentation

## DrawWindow()

void ShaderGraph::DrawWindow | ( |  | ) |

overridevirtual

DrawWindow function for when the EditorWindow is being drawn.

Reimplemented from OpenShaderDesigner::EditorWindow.

## OnOpen()

void ShaderGraph::OnOpen | ( |  | ) |

overridevirtual

OnOpen callback for when the EditorWindow is opened.

Reimplemented from OpenShaderDesigner::EditorWindow.

The documentation for this class was generated from the following files:

- Include/Graph/ShaderGraph.h
- Source/Graph/ShaderGraph.cpp